<!DOCTYPE html> 
<html>
	<head>
		<title>Sky Forms</title>
		
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0">
		<!-- css link -->
        <link href="form.css" rel="stylesheet" type="text/css">
    </head>
	<body class="bg-cyan">
    <form action="#" onsubmit="return formValidation()">
		<div class="body body-s">
		
			<div class="sky-form">
				<header>Registration form</header>
				<!-- from 1 folder to another tp comments testing-->
				
				<fieldset>
                    <section>
                        <label class="input">
                            <input type="text" placeholder="First name" id="fname">
                        </label>
                        <span id="fnErr" class="err"> </span>
                    </section>

                    <section>
                        <label class="input">
                            <input type="text" placeholder="Last name" id="lname">
                        </label>
                        <span id="lnErr" class="err"> </span>
                    </section>

					<section>
						<label class="input">
							<input type="text" placeholder="Username" id="uname">
                        </label>
                        <span id="unErr" class="err"> </span>
					</section>
					
					<section>
						<label class="input">
                            <input type="text" placeholder="Email address" id="email">
						</label>
                        <span id="eErr" class="err"> </span>
					</section>
					
					<section>
						<label class="input">
							<input type="password" placeholder="Password" id="pass">
						</label>
                        <span id="pwErr" class="err"> </span>
					</section>
					
					<section>
						<label class="input">
							<input type="password" placeholder="Confirm password" id="pwm">
						</label>
                        <span id="pwmatch" class="err"> </span>
					</section>
					
					<section>
						<label class="select">
							<select>
								<option value="0" selected disabled>Gender</option>
								<option value="1">Male</option>
								<option value="2">Female</option>
								<option value="3">Other</option>
							</select>
							<i></i>
						</label>
					</section>
					
					<section>
						<label class="checkbox"><input type="checkbox" name="checkbox"><i></i>I agree to the Terms of Service</label>
						<label class="checkbox"><input type="checkbox" name="checkbox"><i></i>I want to receive news and  special offers</label>
					</section>
				</fieldset>
				<footer>
					<button type="submit" class="button" name="submit" value="submit">Submit</button>
				</footer>
            </form>
                
        </div>
        <script src="form.js"></script>

        <script>
            function formValidation(){
                var fname = document.getElementById("fname").value;
                var lname = document.getElementById("lname").value;
                var uname = document.getElementById("uname").value;
                var email = document.getElementById("email").value;
                var pass = document.getElementById("pass").value;
                var pwmatch = document.getElementById("pwm").value;

                var nameregex = /^[a-zA-Z]{3,15}$/; 

                // name validation
                if (fname==null || fname==""){
                    document.getElementById("fnErr").innerHTML = "first name cant be blank";
                    // fname.focus();
                    return false;
                }else if (nameregex.test(fname)){
                    document.getElementById("fnErr").innerHTML = " ";
                    // lname.focus();
                }else {
                    document.getElementById("fnErr").innerHTML = "Please enter valid name";
                    // fname.focus();
                    return false;
                    fname.scrollIntoView();
                }

                if (lname==null || lname==""){
                    document.getElementById("lnErr").innerHTML = "last name cant be blank";
                    // fname.focus();
                    return false;
                }else if (nameregex.test(lname)){
                    document.getElementById("lnErr").innerHTML = " ";
                    // uname.focus();
                }else {
                    document.getElementById("lnErr").innerHTML = "Please enter valid name";
                    // lname.focus();
                    return false;
                    // fname.scrollIntoView();
                }

                // username val
                var unregex = /^[a-zA-Z]+[0-9]+$/;
                if(unregex.test(uname)){
                    document.getElementById("unErr").innerHTML = "";
                }else{
                    document.getElementById("unErr").innerHTML = "Username should be combination of alphanumeric";
                    return false;
                }

                // email val
                var erregex = /^([a-zA-Z0-9_\-\.]+)@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5})$/;
                if(email == null || email==""){
                    document.getElementById("eErr").innerHTML = "email cant be blank";
                    return false;  
                } else if(erregex.test(email)){
                    document.getElementById("eErr").innerHTML = "";
                }else{
                    document.getElementById("eErr").innerHTML = "enter a valid email.";
                    return false; 
                }
                // pass ver
                var passregex = /^[a-zA-Z0-9][!@#\$%\^&]{6,20}$/;
                if(pass == null || pass==""){
                    document.getElementById("pwErr").innerHTML = "email cant be blank";
                    return false;  
                } else if(passregex.test(pass)){
                    document.getElementById("pwErr").innerHTML = "";
                }else{
                    document.getElementById("pwErr").innerHTML = "enter a valid email.";
                    return false; 
                }

                // pass match
                if(pwmatch =="" || pwmatch==null){
                    document.getElementById("pwmatch").innerHTML = "password cant be empty";
                    return false;
                } else if(pwmatch !== pass){
                    document.getElementById("pwmatch").innerHTML = "passwords dont match";
                    return false;
                }else {
                    document.getElementById("pwmatch").innerHTML = "";  
                }






                
            }
            // function ends

        </script> 
	</body>
</html>